Description

Hi.

I have notice that from QGIS 2.8 labels and point symbols are not rotated in print composer (while changing map rotation) but they are

still horizontal. In previus versions of QGIS they where horizontal to the north direction. I have attached two files to show what I mean.

Is there a feature or bug? Is there any option to make that labels and symbols rotate according to the north direction in print composer?

Regards!

History

#1 - 2016-06-23 01:37 AM - Giovanni Manghi

- Status changed from Open to Feedback

- Assignee deleted (Paolo Cavallini)

- Target version deleted (Version 2.14)

Could be a regression, what version of QGIS are you using now?

#2 - 2016-06-23 01:49 AM - Seb Radzimski

I am working in QGIS 2.8.9 LTR but I have noticed that also in 2.14.3 (on Windows 7/8) and in QGIS 2.8.2 on Ubuntu 12.04. Layers are from Postgres 9.3

(x64) Postgis 2.1.7 (Windows 2012 Server R2). 

Maybe there is an option to be able choose a rotation of labels and symbols in print composer but I have not found it.

Thanks!

#3 - 2016-06-23 03:09 AM - Giovanni Manghi

in the description you say "from QGIS 2.8", before that it was any different?

#4 - 2016-06-23 04:13 AM - Seb Radzimski

- File 00_2.6.pdf added

- File 01_2.6.pdf added

Yes it was! 

I have attached the same PDFs but printed in QGIS 2.6.1. Point symbols and labels are rotated according to north direction (they rotate as a map) so

thanks to that you always know where the north is.

#5 - 2016-06-23 04:42 AM - Giovanni Manghi
I really don't know if it is by design or a regression, let's see if the main Composer dev can answer. @ndawson

#6 - 2016-06-23 04:43 AM - Nyall Dawson

- Resolution set to wontfix

- Status changed from Feedback to Closed

This is a feature, not a bug. You could manually set rotation for the labels/symbols if you don't want this behaviour, and can take advantage of data defined

rotation using the map_rotation variable to have it automatically update with the rotation.

Files

00.pdf 731 KB 2016-06-22 Seb Radzimski

01.pdf 618 KB 2016-06-22 Seb Radzimski

00_2.6.pdf 658 KB 2016-06-23 Seb Radzimski

01_2.6.pdf 600 KB 2016-06-23 Seb Radzimski
